package cn.com.qmth.examcloud.core.questions.service.yunkai;

import java.util.List;

import cn.com.qmth.examcloud.core.questions.base.question.enums.QuesStructType;

public class KdQuestion {
	private String id;
	private Integer number;
	private Double score;
	private QuesStructType quesStructType;
	private Double difficultyDegree;
	private String body;
	private String answer;
	private Boolean haveAudio;
	private List<KdQuesOption> options;
	private List<Long> propIds;
	private List<Double> subScores;
	private List<KdQuestion> subQuestions;

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}

	public String getAnswer() {
		return answer;
	}

	public void setAnswer(String answer) {
		this.answer = answer;
	}

	public List<KdQuesOption> getOptions() {
		return options;
	}

	public void setOptions(List<KdQuesOption> options) {
		this.options = options;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Boolean getHaveAudio() {
		return haveAudio;
	}

	public void setHaveAudio(Boolean haveAudio) {
		this.haveAudio = haveAudio;
	}

	public List<Long> getPropIds() {
		return propIds;
	}

	public void setPropIds(List<Long> propIds) {
		this.propIds = propIds;
	}

	public QuesStructType getQuesStructType() {
		return quesStructType;
	}

	public void setQuesStructType(QuesStructType quesStructType) {
		this.quesStructType = quesStructType;
	}

	public List<Double> getSubScores() {
		return subScores;
	}

	public void setSubScores(List<Double> subScores) {
		this.subScores = subScores;
	}

	public List<KdQuestion> getSubQuestions() {
		return subQuestions;
	}

	public void setSubQuestions(List<KdQuestion> subQuestions) {
		this.subQuestions = subQuestions;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public Double getDifficultyDegree() {
		return difficultyDegree;
	}

	public void setDifficultyDegree(Double difficultyDegree) {
		this.difficultyDegree = difficultyDegree;
	}

}
